# plupload.runtimes.Silverlight

Namespace | plupload.runtimes
Class | Silverlight
Type | Singleton
Inheritance | Silverlight Runtime

Silverlight implementation. This runtime supports these features: jpgresize, pngresize, chunks.

## Public Methods

Method | Defined By
--- | ---
init(uploader:Uploader, callback:function):void [static] Initializes the upload runtime. | Silverlight

## Method details

### initmethod

`public static function init(uploader:Uploader, callback:function):void`
Initializes the upload runtime. This runtime supports these features: jpgresize, pngresize, chunks.

#### Parameters

uploader:Uploader | Uploader instance that needs to be initialized.
callback:function | Callback to execute when the runtime initializes or fails to initialize. If it succeeds an object with a parameter name success will be set to true.